\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "El Trapolato"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

  \header {instrument = "Canto"}
% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C22")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
% \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\settime

\key a \minor

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: cantusnotes.ly
cantusnotes = {
  \relative c' {
    d8 e f g a4. e8 f g e c'4 b8 a4 g d4. c8 d e f4 e f e a,8 b c d e4 d g4. e4 a g8 f4.^"A" d8 e4
r4 e g f e c8 d e4 d e f c d a4. b8 c2 a4 g c d e a,2 d b g4. a8 b c d4^"B" a d cis d a b8 \af c! d4 b
    r4 c2 a a'4 g4. f8 e4 c a8 b c d e4. f8 g4 a2 f d e4 c'4. b8 a g f d f4 e4.^"C" d8 c b a4 a' f d4. e8 f g a2. g a f e2
    r4 g2. \an fis g^"D" e d2
    r4 e2. d e c b2
    r4 d2. \an cis d^"E" b a4 a'2 f4 g f e2 a g4 f e2 d4. e8 f4. g8 a4 e f d g4. f8 e^"F" d c4 g' a f2 e4. d16 c b4 c d c e4. d16 c b4 cis d e a,8 b \af c4 d g, c a8 b c4 d e d4. c16 b a4 b^"G" e d c4. d8 e4 f8 g a b c4 b2
    r4 c4 a c2 a g4. e8 g4 g d2 a'2. g4. f16 e d4 e g2 f4.^"H" e8 d4 c a8 b c d e4. d16 c b4 a a'4. g8 f e d4 a' e4. d8 c4 f4. e8 d4 e2
    r4 a2 f4 d f4. g8 a2.^"I" \an gis a f e2
    r4 g2. \an fis g e d2
    r4 e2. d^"J" e c b2
    r4 d2. cis d b a1. ~ a\breve\fermata
    \endbar
  }
}

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
  <<
	\context Staff="default"
	{
	  \transpose c c {
	    \voicedefault 
	    \looksSlower{\cantusnotes}
%	    \cantusnotes
	  }
	}
      >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
%		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{
	    \Staff
	    \consists Custos_engraver
	    \override Custos #'style = #'mensural
	  }	
	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }

}


% Local Variables:
% coding: utf-8
% End:

